This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 97077 - Volume Control applet confuses master balance control
Volume Control applet confuses master balance control
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
2
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
: MoveUpstream, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-09 21:08 EDT by Carlos Rodrigues
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-21 10:29:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Carlos Rodrigues 2003-06-09 21:08:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
When I have the Volume Control applet in the gnome panel I am unable to use the
balance mixer control properly. Instead of panning the sound to the left or the
right, it lowers the volume. This happens with the master mixer control and
apparently not with any other (like pcm).
If I remove the applet from the panel it works fine.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. put the volume control applet in the gnome panel
2. play some sound
3. open a mixer application (let's say aumix)
4. try to pan the master volume to the left only    

Actual Results:  The volume lowers a lot.

Expected Results:  It should pan the volume to the left.

Additional info:

It is funny that the panning control in aumix instead of going from the center
to the left (in the above example) goes back to the center when it reaches the
left side. It does this until the volume is down to zero.

I have a soundblaster live! with the kernel oss drivers (2.4.20-18.9).
Comment 1 Mark McLoughlin 2004-07-19 05:42:23 EDT
Things have changed dramatically here in Fedora Core 2 - please let us
know if you see the same problem in FC2. Thanks ..
Comment 2 Carlos Rodrigues 2004-07-21 08:27:36 EDT
The problem hasn't gone away in FC2. Actually I didn't expect it to,
even though I'm now using ALSA. Whenever there is a mixer change, the
volume applet sets the volume to the average of the left and right
channels, so this isn't going away while that behavior isn't corrected.
Comment 3 Mark McLoughlin 2004-07-21 10:29:44 EDT
Ah, I see you've logged this upstream - that's great. I'm going to
close this bug as UPSTREAM as there's no point in tracking the problem
in two places and the fix is more likely to come from upstream anyway.

Upstream bug:

  http://bugzilla.gnome.org/show_bug.cgi?id=115643

Note You need to log in before you can comment on or make changes to this bug.